import * as React from 'react';
export declare const ComboBoxMenuItem: React.NamedExoticComponent<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "children" | "as" | "role" | "onClick" | "size" | "icon" | "disabled" | "value" | "startIcon" | "endIcon" | "index" | "focused" | "isSelected" | "sublabel" | "badge" | "subMenuItems"> & {
    isSelected?: boolean;
    disabled?: boolean;
    value?: unknown;
    onClick?: (value?: unknown) => void;
    size?: "default" | "large";
    sublabel?: React.ReactNode;
    startIcon?: React.JSX.Element;
    icon?: React.JSX.Element;
    endIcon?: React.JSX.Element;
    badge?: React.JSX.Element;
    role?: string;
    subMenuItems?: React.JSX.Element[];
    children?: React.ReactNode;
} & Pick<import("../List/ListItem.js").ListItemOwnProps, "focused"> & {
    index: number;
} & {
    as?: "div" | undefined;
}>;
